using System;

namespace Aurora.Proto.Party
{
    /// <summary>
    /// Partial PartyMember class with a constructor that generates a new id
    /// </summary>
    public partial class PartyMember
    {
        public PartyMember(string id)
        {
            if (!string.IsNullOrWhiteSpace(id))
            {
                Id = id;
            }
            else
            {
                Id = Guid.NewGuid().ToString();
            }
        }
    }
}